Subject: [Sipping] [Fwd: Review: draft-ietf-sipping-toip-04.txt sections 5 and subsections]

From: "Tom-PT Taylor" <[email-masked]>
Date: Sun, 02 Jul 2006 18:57:21 -0700

Tom Taylor wrote:
> Section 5
> =========
> 
> Opening sentence: I suggest changing "This framework" to "The framework 
> described in section 6".
> 
> Second and third paras: more suitable in the introduction, as indicated 
> in my previous note.
> 
> Last para: effectively repeats the first one. Delete.
> 
> Section 5.1
> ===========
> 
> Para 4 (just before bullets): modify the end of the sentence as follows:
> "in terms of conversationality to those provided by voice."
> 
> Bullets a-e: small initial letters since the bullets continue rather 
> than begin a sentence.
> 
> Next para after bullets a-e: I'll give you capitalized "Total 
> Conversation", since it is a special term created by Gunnar. Suggest 
> adding "as" immediately after it. Beginning of second sentence: replace 
> "Users could ..." by "Total Conversation allows participants to ...".
> 
> Following para, all bullets: small initial letters. End all bullets but 
> the last one with semicolon rather than period.
> 
> Third bullet of that para: Add missing closing parenthesis after 
> "recording". I suggest the rest of the bullet be modified a bit as follows:
> "for legal purposes, for clarity, or for flexibility;"
>            ^^^^^^^^^^^^^^       ^^^^^^^^            ^
> 
> Final bullet of that para: delete "thus" (which seems redundant) before 
> "creating".
> 
> Final para of section: delete the first "or" (before "join") and add a 
> comma after "several users".
> 
> Section 5.2
> ===========
> 
> First para: "sections list" rather than "sections lists". I suggest you 
> add to this paragraph as follows:
> "The requirements are organized under the following headings:
> •    session set-up and session control;
> •    transport;
> •    use of transcoding services;
> •    interworking."
> 
> Second para: "unique" rather than "uniquely".
> 
> Section 5.2.1
> =============
> 
> First para: the first sentence is totally unrelated to the topic of the 
> next sentence and the following paragraph (i.e., the need for modes 
> besides text). I propose the first sentence and the word "However" 
> beginning the next sentence be deleted. Then you can combine the 
> remaining sentence of the first para with the second para for a concise 
> motivation of the requirements.
> 
> Second para first sentence: "use" appears followed by "is used" followed 
> by "users". To avoid so much repetition, delete "use of" after 
> "alternating", and substitute "people" for "users".
> 
> R3: add "in" before "mid-conversation"?
> 
> R4: substantive: add "in each direction" after "communication".
> 
> R5: as noted earlier, a bit of a contradiction as written. I suggest 
> deleting "either because the system only supports alternate modalities or".
> 
> R7: as written, the requirement is unclear. Could I suggest deleting the 
> first paragraph, which is too general? Then rewrite the second paragraph 
> as a requirement:
> 
> "It MUST be possible to use real-time text in conferences both as a 
> medium of discussion between individual participants (for example, for 
> sidebar discussions in text while listening to the main conference 
> audio) and for central support of the conference with real time text 
> interpretation of speech."
> 
> R8: as I indicated in my first note a month ago, seems redundant once 
> you satisfy R1 and R2. Mark "deleted"?
> 
> R9: capitalize MUST and RECOMMENDED.
> 
> Section 5.2.2
> =============
> 
> SUBSTANTIVE: R10: an exchange with Gunnar suggested to me that the delay 
> requirement given here is end-to-end. If that is indeed what is 
> intended, insert "end-to-end" before "delay time" at the start of the 
> second sentence.
> Insert "as" before "good" at the end of that sentence.
> 
> R11 first sentence: hyphenate "speech-to-text"? Change "conversation 
> text" to conversational text". In the second sentence, insert "as" 
> before "sufficient".
> 
> R15: too wishy-washy. Start the sentence with "It SHOULD be possible ...".
> 
> Section 5.2.3
> =============
> 
> SUBSTANTIVE: R18: I think you have two requirements:
> 
> "R18A: It MUST be possible to negotiate the requirements for transcoding 
> services in real time in the process of setting up a call."
> 
> "R18B: It MUST be possible to negotiate the requirements for transcoding 
> services in mid-call, for the immediate addition of those services to 
> the call."
> 
> SUBSTANTIVE: R19: As I noted a month ago, this needs clarification. Does 
> the following capture the intent?
> 
> "R19: Communication between the end participants SHOULD continue after 
> the addition or removal of a text relay service, and the effect of the 
> change should be limited in the users' perception to the direct effect 
> of having or not having the transcoding service in the connection."
> 
> R20: I suggest "specify" rather than "determine" in the first sentence.
> 
> Section 5.2.4
> =============
> 
> R22: capitalize MUST.
> 
> SUBSTANTIVE: R23: the two paragraphs deal with different requirements. 
> The first talks about how the services work. The second talks about what 
> call features are available. I suggest splitting them into two 
> requirements, with an example added to the first one, as follows:
> 
> "R23A: Where real-time text is used in conjunction with other media,
>    exposure of user control functions through the User Interface needs
>    to be done in an equivalent manner for all supported media. For 
> example, it must be possible for the user to select between audio or 
> visual prompts, or both must be supplied."
> 
> "R23B: Where certain session services are available
>    for the audio media part of a session, these functions MUST also be
>    supported for the real-time text media part of the same session. For
>    example, call transfer must act on all media in the session."
> 
> R23B may belong in section 5.2.1, since it has to do with session 
> control rather than user interface.
> 
> R24: Suggest beginning with "If available" rather than "If present".
> 
> R26: capitalize SHOULD.
> 
> R28: capitalize MUST.
> 
> R32: capitalize SHOULD.
> 
> Section 5.2.5
> =============
> 
> Second para, second sentence: change "it is" to "they are" to match 
> "facilities" in the first sentence. "In the PSTN" or "When they operate 
> in the PSTN" rather than "On the PSTN".
> 
> Third para, second sentence: change "could" to "can".
> 
> SUBSTANTIVE: R35 isn't clear. Does it refer to the need for correlation 
> between sessions on the two sides of a gateway, or does it refer to what 
> is presented to an user? I suspect the latter is what is intended, in 
> which case the requirement should be rewritten in more concrete terms. I 
> expect the ToIP user is meant to see the telephone number at the other 
> end, but what is the PSTN user supposed to see?
> 
> R36: add "differences in" before "transmission speeds".
> 
> Section 5.2.5.1
> ===============
> 
> No comment.
> 
> Section 5.2.5.2
> ===============
> 
> Second para first sentence: change "have been developed" to "were 
> developed". Change "was mandated" to "were mandated", to agree with 
> "services".
> 
> Third para has a SHOULD that is an unnumbered requirement. I suggest 
> using a small-letter "should" here.
> 
> Section 5.2.5.3
> ===============
> 
> No comment.
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP